using System;
using System.Reflection;

internal sealed class Delegate848 : MulticastDelegate
{
	public extern MethodInfo[] Invoke(object object_0, BindingFlags bindingFlags_0);

	public static MethodInfo[] smethod_0(object object_0, BindingFlags bindingFlags_0, Delegate848 delegate848_1)
	{
		return delegate848_1(object_0, bindingFlags_0);
	}

	public extern Delegate848(object object_0, IntPtr intptr_0);

	static Delegate848()
	{
		Class10.smethod_13(typeof(Delegate848).TypeHandle);
	}

	internal static Delegate848 delegate848_0;
}
